function [gene_symbs, results]=read_raw(exp_num)
try
createclassfromwsdl('http://chibi.ubc.ca/Gemma/ws/gemma.wsdl');
catch
end


D=dir('/home/jesse/matdata/*.mat');
n=find([D.isdir]==0);
[f{1:length(D(n))}]=deal(D(n).name);
f=regexp(f,'\d','match');
f=cellfun(@(x) str2double(strcat(x{:})), f);
checker=0;
if ismember(exp_num, f)>0
    checker=1;
    load(['/home/jesse/matdata/' num2str(exp_num) '.mat'], 'gene_symbs', 'results');
    if isempty(results)==1
        checker=0;
    end
end
if checker==0
namer=experimentName(gemmaService,exp_num);
namer=namer.ee_shortName;
numsamp=experimentNumSamples(gemmaService, exp_num);
numsamp=str2double(numsamp.eeNumSample_id);
    
[sys1,sys2]=system(['gemmaCli.sh ubic.gemma.apps.ExpressionDataMatrixWriterCLI -e ' namer ' -g -o /home/jesse/rawdata/rawdata']);
[sys1, sys2]=system(['sed ''s/|/@/g'' /home/jesse/rawdata/rawdata_' namer '.txt>/home/jesse/rawdata/rawdata_' namer '.bxt']);
fid=fopen(['/home/jesse/rawdata/rawdata_' namer '.bxt']);

data=textscan(fid, repmat('%s',1,numsamp+3), 'Headerlines', 6, 'Delimiter', '\t', 'BufSize', 32768);
fclose(fid);

gene_symbs=data{2};

data=data(4:end);
results=nan(length(gene_symbs),numsamp);

for i=1:numsamp
    results(:,i)=str2double(data{i});
end


for i=1:length(gene_symbs)
    gene_symbs{i}=regexp(gene_symbs(i),'@','split');
end

gene_symbs=cellfun(@(x) x{1},gene_symbs,'UniformOutput',0);

save(['/home/jesse/matdata/' num2str(exp_num) '.mat'], 'gene_symbs', 'results');
end
